Skip to main content
`Ctrl`+`K`

# SNESLineSearchGetTolerances

Gets the tolerances for the line search.

## Synopsis

    #include "petscsnes.h"
    PetscErrorCode SNESLineSearchGetTolerances(SNESLineSearch linesearch, PetscReal *steptol, PetscReal *maxstep, PetscReal *rtol, PetscReal *atol, PetscReal *ltol, PetscInt *max_its)

Not Collective

## Input Parameter

- linesearch - the line search context

## Output Parameters

- steptol - The minimum steplength

- maxstep - The maximum steplength

- rtol - The relative tolerance for iterative line searches

- atol - The absolute tolerance for iterative line searches

- ltol - The change in lambda tolerance for iterative line searches

- max_its - The maximum number of iterations of the line search

## Note

Different line searches may implement these parameters slightly differently as the type requires.

## See Also

SNES: Nonlinear Solvers, `SNES`, `SNESLineSearch`, `SNESLineSearchSetTolerances()`

## Level

intermediate

## Location

src/snes/linesearch/interface/linesearch.c

Index of all SNES routines
Table of Contents for all manual pages
Index of all manual pages